Bug 3471 - dhcpd: chroot jail
: dhcpd: chroot jail
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/dhcp)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-01-12 14:47 by
Modified: 2006-12-17 16:22 (History)


Attachments
dhcp-3.0.1-alt0.1.rc12.nosrc.rpm (24.06 KB, application/x-rpm)
2004-03-12 21:14, Dmitry V. Levin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-12 14:47:20
The dhcpd server must run chrooted and without root privileges. 
This should be done in default configuration. 
 
Also, upgrade to dhcp-3.0.1rc12.
------- Comment #1 From 2004-01-12 14:49:51 -------
This work is already in progress. 
------- Comment #2 From 2004-01-13 01:48:09 -------
Эта, минуточку, а как собираемся обновлять /etc/resolv.conf, /etc/HOSTNAME,
если
он будет chrooted and without root privileges?
------- Comment #3 From 2004-01-13 01:49:31 -------
Виноват, перепутал с клиентом, игнорируйте comment #2.
------- Comment #4 From 2004-03-12 21:13:09 -------
Reassigned to maintainer. 
------- Comment #5 From 2004-03-12 21:14:27 -------
Created an attachment (id=357) [details]
dhcp-3.0.1-alt0.1.rc12.nosrc.rpm
------- Comment #6 From 2004-06-30 21:08:10 -------
Сергей приложил, за что ему большое спасибо.